aboutsummaryrefslogtreecommitdiff
path: root/bin/apf
diff options
context:
space:
mode:
Diffstat (limited to 'bin/apf')
-rwxr-xr-xbin/apf3
1 files changed, 3 insertions, 0 deletions
diff --git a/bin/apf b/bin/apf
index 2aa1cecd..733d67fc 100755
--- a/bin/apf
+++ b/bin/apf
@@ -2,6 +2,9 @@
# Prepend arguments from a file to a command call
self=apf
+# Give up completely if no BASH_VERSINFO (<2.0)
+[ -n "$BASH_VERSINFO" ] || exit
+
# Require at least two arguments, give usage otherwise
if (($# < 2)) ; then
printf >&2 '%s: Need an arguments file and a command\n' "$self"